Groovy 1.7.0

## org.codehaus.groovy.runtime.callsite
Class DummyCallSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.DummyCallSite

    class DummyCallSite
    extends AbstractCallSite

Field Summary

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`DummyCallSite(CallSiteArray array, int index, String name)`

Method Summary

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage, noCoerce, noWrappers

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### DummyCallSite

    public DummyCallSite(CallSiteArray array, int index, String name)

Copyright © 2003-2009 The Codehaus. All rights reserved.